#pragma once

#include "Battle/Action.h"

class Player;
class Ship;

class Defense : public Action {
public:
    Status operator()(Player* player, Ship* enemyShip) override;
    Type type() const override { return Type::Defense; }
};